API Keys
Revoke an API key
Revoke an API key. The key is immediately invalidated and can no longer be used for authentication. This action cannot be undone.
For team and organization keys, the associated service account is also deleted. Any active sessions using this key will fail on the next request.
DELETE
/
v1
/
api_keys
/
{id}
Revoke an API key
curl --request DELETE \
--url https://api.rootly.com/v1/api_keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/api_keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "api_keys",
"attributes": {
"name": "<string>",
"kind": "personal",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>",
"expires_at": "<string>",
"last_used_at": "<string>",
"grace_period_ends_at": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Was this page helpful?
⌘I
Revoke an API key
